# ETHERNET\_SETTINGS2 Structure

This structure defines various settings for Ethernet networks.

{% tabs %}
{% tab title="C/C++ Declare" %}

```cpp
typedef struct __declspec (align(2))
{
   uint8_t flags;
   uint8_t link_speed;
   uint32_t ip_addr;
   uint32_t netmask;
   uint32_t gateway;
   int16_t rsvd0;
}ETHERNET_SETTINGS2;
```

{% endtab %}

{% tab title="Visual Basic .NET Declare" %}

```vbnet
<StructLayout(LayoutKind.Sequential, Pack:=2)> Public Structure ETHERNET_SETTINGS2
   Dim flags As Byte
   Dim link_speed As Byte
   Dim ip_addr As UInt32
   Dim netmask As UInt32
   Dim gateway As UInt32
   Dim rsvd0 As Int16
End Structure
```

{% endtab %}

{% tab title="C# .NET Declare" %}

```csharp
[StructLayout(LayoutKind.Sequential,Pack=2)]
public struct ETHERNET_SETTINGS2
{
   public byte flags;
   public byte link_speed;
   public UInt32 ip_addr;
   public UInt32 netmask;
   public UInt32 gateway;
   public Int16 rsvd0;
```

{% endtab %}
{% endtabs %}

#### **Remarks**

| Item        | Description                      |
| ----------- | -------------------------------- |
| flags       | 5c367dece8184a6593afaeb2c8f5911a |
| link\_speed | 0 = 10B, 1 = 100B, 2=1000B       |
| ip\_addr    | Not Defined                      |
| netmask     | Not Defined                      |
| gateway     | Not Defined                      |
| rsvd0       | Not Defined                      |

| Bit   | Function                     |
| ----- | ---------------------------- |
| Bit 0 | 0=half duplex, 1=full duplex |
| Bit 1 | 1=Enable Autonegotiation     |
| Bit 2 | 1= Enable tcpip stack        |
| Bit 3 | 1=Enable rtsp server         |
| Bit 4 | 1=Enable ICS device hosting  |
| Bit 5 | 1=Config not allowed         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/structures-types-and-defines-overview-intrepidcs-api/setting-structures-overview-intrepidcs-api/sub-setting-structures-overview-intrepidcs-api/ethernet_settings2-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
